#3 compilation errors

closed-later
None
5
2009-09-27
2009-09-23
No

I attempted to compile rudel, using the 'make' suggested in the README, the following errors occured with svn r226 on Debian Sid (emacs23):

for loadpath in . ../../opt/emacs/share/emacs/site-lisp/cedet/common/; do \ echo "(add-to-list 'load-path \"$loadpath\")" >> autoloads-compile-script; \ done;
"emacs" -batch --no-site-file -l autoloads-compile-script -f cedet-batch-update-autoloads rudel-loaddefs.el . jupiter obby wave zeroconf
Saving file /home/micah/.emacs.d/plugins/rudel/rudel-loaddefs.el...
Loading vc-svn...
Updating header...
Updating header...done
Wrote /home/micah/.emacs.d/plugins/rudel/rudel-loaddefs.el
for loadpath in . ../../opt/emacs/share/emacs/site-lisp/cedet/common/; do \ echo "(add-to-list 'load-path \"$loadpath\")" >> rudel-compile-script; \ done;
"emacs" -batch --no-site-file -l rudel-compile-script -f batch-byte-compile rudel.el rudel-util.el rudel-mode.el rudel-interactive.el rudel-overlay.el rudel-speedbar.el rudel-operators.el rudel-operations.el rudel-compat.el rudel-tls.el rudel-errors.el rudel-state-machine.el rudel-backend.el rudel-protocol.el rudel-session-initiation.el rudel-icons.el rudel-hooks.el
Loading `eieio': old-style backquotes detected!

In toplevel form:
rudel.el:49:1:Error: Wrong type argument: listp, :after

In toplevel form:
rudel-util.el:110:1:Error: Wrong type argument: listp, :after

In toplevel form:
rudel-mode.el:54:1:Error: Wrong type argument: listp, :after

In rudel-read-session:
rudel-interactive.el:82:41:Warning: Function `find' from cl package called at
runtime

In rudel-read-user-name:
rudel-interactive.el:89:29:Warning: reference to free variable
`rudel-default-username'

In rudel-read-user:
rudel-interactive.el:103:9:Warning: reference to free variable
`rudel-current-session'
rudel-interactive.el:115:34:Warning: Function `find' from cl package called at
runtime

In rudel-read-document:
rudel-interactive.el:124:9:Warning: reference to free variable
`rudel-current-session'
rudel-interactive.el:139:36:Warning: Function `find' from cl package called at
runtime

In end of data:
rudel-interactive.el:182:1:Warning: the function `find' might not be defined
at runtime.
rudel-interactive.el:182:1:Warning: the following functions are not known to
be defined: rudel-backend-cons-p, rudel-buffer-document,
rudel-unique-name, rudel-buffer-has-document-p, rudel-unpublish-buffer
Wrote /home/micah/.emacs.d/plugins/rudel/rudel-interactive.elc

In rudel-overlays:
rudel-overlay.el:90:6:Warning: Function `remove-if-not' from cl package called
at runtime

In rudel-overlays-at:
rudel-overlay.el:99:41:Warning: Function `remove-if-not' from cl package
called at runtime

In rudel-overlays-in:
rudel-overlay.el:107:47:Warning: Function `remove-if-not' from cl package
called at runtime

In end of data:
rudel-overlay.el:275:1:Warning: the function `remove-if-not' might not be
defined at runtime.
Wrote /home/micah/.emacs.d/plugins/rudel/rudel-overlay.elc

In rudel-speedbar-toplevel-buttons:
rudel-speedbar.el:81:9:Warning: reference to free variable
`rudel-current-session'

In end of data:
rudel-speedbar.el:215:1:Warning: the function `rudel-unique-name' is not known
to be defined.
Wrote /home/micah/.emacs.d/plugins/rudel/rudel-speedbar.elc

In end of data:
rudel-operators.el:173:1:Warning: the following functions are not known to be
defined: rudel-local-insert, rudel-local-delete
Wrote /home/micah/.emacs.d/plugins/rudel/rudel-operators.elc

In end of data:
rudel-operations.el:134:1:Warning: the following functions are not known to be
defined: rudel-insert, rudel-delete
Wrote /home/micah/.emacs.d/plugins/rudel/rudel-operations.elc
Wrote /home/micah/.emacs.d/plugins/rudel/rudel-compat.elc

In toplevel form:
rudel-tls.el:42:1:Error: Wrong type argument: listp, :after
Wrote /home/micah/.emacs.d/plugins/rudel/rudel-errors.elc

In toplevel form:
rudel-state-machine.el:133:1:Error: Wrong type argument: listp, :after

In toplevel form:
rudel-backend.el:107:1:Error: Wrong type argument: listp, :static

In toplevel form:
rudel-protocol.el:50:1:Error: Wrong type argument: listp, :static

In toplevel form:
rudel-session-initiation.el:60:1:Error: Wrong type argument: listp, :static

In toplevel form:
rudel-icons.el:82:1:Error: Symbol's value as variable is void: rudel-icons-image-formats
Wrote /home/micah/.emacs.d/plugins/rudel/rudel-hooks.elc
make: *** [rudel] Error 1

Discussion

  • Jan Moringen

    Jan Moringen - 2009-09-23

    Are you using a recent CEDET version? All errors except the last seem to be caused by eieio (the object system included in CEDET) not being loaded or maybe outdated.

    I may be required to fix or generate the Makefiles. The first line of output

    for loadpath in . ../../opt/emacs/share/emacs/site-lisp/cedet/common/; do

    indicates that your CEDET installation is expected at ../../opt/emacs/share/emacs/site-lisp/cedet which is likely to be wrong.

     
  • Micah Anderson

    Micah Anderson - 2009-09-23

    Ah, ok... so I just adjusted my Makefile to change the cedet LOADPATH variable to be the location of the CVS checkout of cedet I made just yesterday:

    LOADPATH= /home/micah/.emacs.d/plugins/cedet/common/

     
  • Micah Anderson

    Micah Anderson - 2009-09-23

    Sorry, I forgot to mention that after I changed that LOADPATH, I then tried to make again, but I get the same errors.

     
  • Jan Moringen

    Jan Moringen - 2009-09-23

    Sorry for asking pedantically, but did you also change the LOADPATH in the Makefiles in the subdirectories?

    We clearly need an easier installation mechanism.

     
  • Jan Moringen

    Jan Moringen - 2009-09-23
    • assigned_to: nobody --> scymtym
     
  • Nobody/Anonymous

    I had not changed the LOADPATH in the Makefiles in the subdirs... however in many of the subdirectories the LOADPATH looks like:

    LOADPATH= ../

    I tried to turn those into things like:

    LOADPATH= ../ /home/micah/.emacs.d/plugins/cedet/common/

    or
    LOADPATH= ../jupiter/ ../ /home/micah/.emacs.d/plugins/cedet/common/

    hoping that it would add my local cedet checkout into the LOADPATH, but alas, that didn't seem to change the compile errors at all.

    micah

     
  • Jan Moringen

    Jan Moringen - 2009-09-24

    Sorry, but I'm almost out of ideas.

    Is the Debian CEDET package installed on your system? Maybe it is used instead of the CVS version.

    Did you try to use Rudel despite the error? It looks like autoloads have been generated. Despite running slower, everything should work as it would with byte-compiled files.

    Don't get me wrong. I'm still interested in solving the issue, I just though it should not prevent you from using Rudel.

     
  • Nobody/Anonymous

    It seems I do have the Debian version of cedet, and its dependencies installed on the system. I have
    1:1.0pre4-3.1~ore1 installed, and that pulls in the following dependency packages: cedet-common cedet-contrib{a} ede{a} eieio{a} semantic{a} speedbar{a}

    I removed all of these from the system, and then do a make. After a few failures, I manage to edit all the Makefiles so they have both the path to the eieio directory, as well as the common directory, as follows:

    LOADPATH= /home/micah/.emacs.d/plugins/cedet/common /home/micah/.emacs.d/plugins/cedet/eieio

    and then the compilation works as expected!

     
  • Jan Moringen

    Jan Moringen - 2009-09-26

    I'm glad you finally got it work. The current installation procedure is inconvenient and error-prone. Improvements are currently discussed on the mailing list.

    I would close the issue as wontfix since the particular problem you encountered cannot be fixed without switching to a different installation procedure. Is that OK for you?

     
  • Nobody/Anonymous

    That is fine, unless you wish to keep the issue open to track improvements to the build system. Up to you, I'm happy either way! thanks again for your help, and for your work on rudel!

     
  • Jan Moringen

    Jan Moringen - 2009-09-27

    Closing the issue since improvements to the build system will most likely consist of a rewrite.

     
  • Jan Moringen

    Jan Moringen - 2009-09-27
    • status: open --> closed-later
     

Log in to post a comment.

Get latest updates about Open Source Projects, Conferences and News.

Sign up for the SourceForge newsletter:

JavaScript is required for this form.





No, thanks